> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/working-with-the-import-api-v2/validation/operation-specific-validation.md).

# Operation specific validation

For each operation, the validation checks that the fields have names or IDs defined. The identifiers of the resources used to identify another resource are also [validated](/api/guides/working-with-the-import-api-v2/validation/operation-identifier-validation.md).

Note the following character limits for names:

| Resource type                    | Number of characters |
| -------------------------------- | -------------------- |
| Asset                            | 1 - 2 000            |
| Domain                           | 1 - 255              |
| Community                        | 1 - 255              |
| External system ID               | 1 - 36               |
| External entity ID               | 1 - 255              |
| Other resource types or statuses | 1 - 255              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/working-with-the-import-api-v2/validation/operation-specific-validation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
